﻿@page
@model Project_PRN221_1.Pages.Newpost.EditpostModel
@{
}
<div class="container">
    <h1>Edit Post</h1>

    <form method="post" enctype="multipart/form-data">
        <div class="form-group">
            <label for="title">Title:</label>
            <input type="text" class="form-control" id="title" name="PostHeader" maxlength="200" value="@Model.postDetail.PostHeader" required>
        </div>

        <!-- Các đoạn văn và hình ảnh -->
        @for (int i = 1; i <= 5; i++)
        {
            var postGraph = "PostGraph" + i;
            var imageId = "Image" + i + "Path";

            <div class="form-group">
                <label for="paragraph@(i)">Paragraph @(i):</label>
                <textarea class="form-control" id="paragraph@(i)" name="@postGraph" rows="5" maxlength="1000">@Model.postDetail.GetType().GetProperty(postGraph).GetValue(Model.postDetail)</textarea>
            </div>

            <div class="form-group">
                <label for="image@(i)">Image @(i):</label>
                @if (!string.IsNullOrEmpty(Model.postDetail.GetType().GetProperty(imageId).GetValue(Model.postDetail)?.ToString()))
                {
                    var imageValue = Model.postDetail.GetType().GetProperty(imageId).GetValue(Model.postDetail).ToString();
                    <img src="@Url.Content(imageValue)" class="img-fluid mb-4" alt="Image @(i)">
                }
                <input type="file" class="form-control-file" id="image@(i)" name="@imageId" accept="image/*">
            </div>
        }

        <button type="submit" class="btn btn-primary">Save Changes</button>
    </form>
</div>